//
// VO specific NASM headers
// 
// Sabo                                         09/05/99
//**********************************************************

#ifdef NASM4VO
#ifndef __INC_NASM4VO
#define __INC_NASM4VO

#ifdef __cplusplus
extern "C" {
#endif

#define OF_NAME_VO  "vo"

#define	SEG_REPO	0xCAFEBABE

extern struct ofmt ofmt_vo;
extern long ridCur;
extern int	iLineCorr;

int NasmInit();
int NasmMain(char *lpchinfile, long ridEnt);

#define ERRCHK(label)		{if(rc != SUCCESS) goto label;} ;
#define ERRIF(c, label);	{if(c) {rc = FAILURE; goto label;}} ;

void vo_report_error(int severity, char *fmt, va_list ap, int iLine, char *lpchFile);
void vo_get_error_info(char **lplpchErrors, unsigned int *lpuiErrors);
			   
#ifdef __cplusplus
} // extern "C" {
#endif
#endif // __INC_NASM4VO
#endif // NASM4VO

/*
** That's all Folks!!!
 */